package org.mmga.clubs.commands;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.codec.digest.DigestUtils;
import org.mmga.clubs.controller.UserController;
import org.mmga.clubs.entities.BaseResponse;
import org.mmga.clubs.entities.user.User;
import org.mmga.clubs.entities.user.UserLoginVo;
import org.mmga.clubs.entities.user.UserRegVo;
import org.mmga.clubs.utils.ShellUtils;
import org.springframework.shell.standard.ShellComponent;
import org.springframework.shell.standard.ShellMethod;

@ShellComponent
@Slf4j
public class UserCommands {
    private final UserController userController;
    public UserCommands(UserController userController){
        this.userController = userController;
    }
    @ShellMethod("创建用户")
    public void createUser(String name, String password) {
        BaseResponse<User> user = this.userController.createUser(new UserRegVo(name, DigestUtils.md5Hex(password), 1));
        ShellUtils.logToResult(log, user);
    }
    @ShellMethod("登录")
    public void login(String name, String password) {
        BaseResponse<User> user = this.userController.login(new UserLoginVo(name, DigestUtils.md5Hex(password)));
        ShellUtils.logToResult(log, user);
    }
}
